import React, {Component} from 'react'
import { Spin } from 'antd'

import './index.scss'

class MainParams extends Component {
  componentDidMount() {
    sessionStorage.setItem('ThirdMenu', this.props.match.params.menuId)

    if (sessionStorage.getItem('UserID')) {
      this.props.history.replace('/main')
    } else {
      localStorage.setItem('getSessionStorage', window.GLOB.appkey)
    
      window.addEventListener('storage', function(event) {
        if (event.key === 'sessionStorage' && event.newValue && !sessionStorage.getItem('UserID')) {
          let values = event.newValue
          values = JSON.parse(values)

          Object.keys(values).forEach(key => {
            sessionStorage.setItem(key, values[key])
          })
        }
      })

      setTimeout(() => {
        localStorage.removeItem('getSessionStorage')
        localStorage.removeItem('sessionStorage')

        if (sessionStorage.getItem('UserID')) {
          this.props.history.replace('/main')
        } else {
          this.props.history.replace('/login')
        }
      }, 20)
    }
  }

  render () {
    return (
      <div className="main-params-login">
        <Spin size="large" />
      </div>
    )
  }
}

export default MainParams